org.eclipse.cdt.core.settings.model

## Interface ICBuildSetting

All Superinterfaces:
  ICSettingBase, ICSettingObject

    public interface ICBuildSetting
    extends ICSettingObject

### Field Summary

### Fields inherited from interface org.eclipse.cdt.core.settings.model.ICSettingBase

`SETTING_BUILD, SETTING_CONFIGURATION, SETTING_FILE, SETTING_FOLDER, SETTING_LANGUAGE, SETTING_PROJECT, SETTING_TARGET_PLATFORM`

### Method Summary

All Methods Instance Methods Abstract Methods
`IEnvironmentContributor` `getBuildEnvironmentContributor()`
`org.eclipse.core.runtime.IPath` `getBuilderCWD()`
`String[]` `getErrorParserIDs()`
`ICOutputEntry[]` `getOutputDirectories()`
`ICOutputEntry[]` `getResolvedOutputDirectories()`
`void` `setBuilderCWD(org.eclipse.core.runtime.IPath path)`
`void` `setErrorParserIDs(String[] ids)`
`void` `setOutputDirectories(ICOutputEntry[] entries)`

### Methods inherited from interface org.eclipse.cdt.core.settings.model.ICSettingObject

`getConfiguration, getId, getName, getParent, getType, isReadOnly, isValid`

### Method Detail

#### getBuilderCWD

    org.eclipse.core.runtime.IPath getBuilderCWD()

#### setBuilderCWD

    void setBuilderCWD(org.eclipse.core.runtime.IPath path)

#### getOutputDirectories

    ICOutputEntry[] getOutputDirectories()

#### getResolvedOutputDirectories

    ICOutputEntry[] getResolvedOutputDirectories()

#### setOutputDirectories

    void setOutputDirectories(ICOutputEntry[] entries)

#### getErrorParserIDs

    String[] getErrorParserIDs()

#### setErrorParserIDs

    void setErrorParserIDs(String[] ids)

#### getBuildEnvironmentContributor

    IEnvironmentContributor getBuildEnvironmentContributor()